# SwaggerClient::Listing

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**private_remarks** | **String** | Agent only remarks | [optional] 
**property** | [**Property**](Property.md) | Specific property data associated with listing. | [optional] 
**mls_id** | **Integer** | A unique identifier for this listing specific to the SimplyRETS API. Thie identifier is specific to the SimplyRETS api and has no correlation with the MLS number. Use this id when making requests to the single listing endpoint (eg, &#x60;/properties/{mlsId}&#x60;).  Applications should not rely on specific &#x60;mlsId&#x60;s being present. Instead, apps should dynamically use the &#x60;mlsId&#x60; after using other more general query parameters. Many mls vendors require listings which are expired, terminated or sold to be purged, which will render calls to specific &#x60;mlsId&#x60;s to return nothing (or possibly a 404).  | [optional] 
**showing_instructions** | **String** | Public instructions for showing the property. | [optional] 
**office** | [**Office**](Office.md) | Listing office or brokerage. | [optional] 
**lease_term** | **String** | Represents the length of the lease. | [optional] 
**disclaimer** | **String** | Data accuracy disclaimer. The value in the disclaimer may change depending on your MLS vendors rules.  | [optional] 
**address** | [**StreetAddress**](StreetAddress.md) | Comprehensive property address information | [optional] 
**list_date** | **DateTime** | Date and time the listing became Active | [optional] 
**agent** | [**Agent**](Agent.md) | Comprehensive listing agent information | [optional] 
**modified** | **DateTime** | Date and time of the last modification | [optional] 
**school** | [**School**](School.md) | Comprehensive school zone data | [optional] 
**photos** | **Array&lt;String&gt;** | Photos of the property. Images are served over https and are suitable for production use on secure websites  | [optional] 
**list_price** | **Float** | Price of the listing | [optional] 
**listing_id** | **String** | Data Dictionary v1.3 ListingId. The well known identifier for the listing. The value is the id or number by the MLS as a public identifier for the listing.  This identifier should not be confused with the &#x60;mlsId&#x60;, which is specific to the SimplyRETS API.  | [optional] 
**mls** | [**MlsInformation**](MlsInformation.md) | MLS vendor information and data | [optional] 
**geo** | [**GeographicData**](GeographicData.md) | Geographic data for the listing | [optional] 
**tax** | [**Tax**](Tax.md) | Associate tax data | [optional] 
**co_agent** | [**Agent**](Agent.md) | co-listing agent information.  *NOTE*: If your RETS feed stores co-list information outside of the &#x60;Property&#x60; resource, co-list agent information will not be available.  | [optional] 
**sales** | [**Sales**](Sales.md) | Sales data | [optional] 
**lease_type** | **String** | Information about the status of the existing lease on the property. | [optional] 
**virtual_tour_url** | **String** | The URL for an unbranded virtual tour of the property.  **Added on 2016/05/04 - Not available for all RETS vendors**  | [optional] 
**remarks** | **String** | Description or remarks | [optional] 


