# SwaggerClient::Property

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**roof** | **String** | Property roof description | [optional] 
**cooling** | **String** | A description of the cooling or air conditioning features of the property. | [optional] 
**style** | **String** | Property style description or short string | [optional] 
**area** | **Integer** | Square footage of the building associated with a listing | [optional] 
**baths_full** | **Integer** | Number of full bathrooms | [optional] 
**baths_half** | **Integer** | Number of half bathrooms | [optional] 
**stories** | **Float** | Number of stories or levels. Represented as a &#x60;double&#39; to account for half stories.  | [optional] 
**fireplaces** | **Integer** | Number of fireplaces | [optional] 
**flooring** | **String** | The type(s) of flooring found within the property. | [optional] 
**heating** | **String** | Heating description or short string | [optional] 
**foundation** | **String** |  | [optional] 
**pool_features** | **String** |  | [optional] 
**laundry_features** | **String** |  | [optional] 
**occupant_name** | **String** |  | [optional] 
**lot_description** | **String** |  | [optional] 
**lot_size_acres** | **Float** | Lot size in acres  **Added on 2016/05/04 - Not available for all RETS vendors**  | [optional] 
**sub_type** | **String** | The property&#39;s sub-type, i.e. SingleFamilyResidential, Condo, etc. Or a list of Sub Types for Mobile, such as Expando, Manufactured, Modular, etc.  | [optional] 
**bedrooms** | **Integer** | Number of bedrooms | [optional] 
**interior_features** | **String** | The properties interior features | [optional] 
**lot_size** | **String** | Lot size dimensions or square footage as a text. This field is generally used to show the pretty formatted lot size.  | [optional] 
**area_source** | **String** |  | [optional] 
**maintenance_expense** | **Float** | Yearly maintenance expense | [optional] 
**additional_rooms** | **String** | Additional room information | [optional] 
**exterior_features** | **String** | Exterior Features for the listing  | [optional] 
**water** | **String** | Water description and details | [optional] 
**view** | **String** | View details and description | [optional] 
**lot_size_area** | **Float** | The total area of the lot.  See &#x60;lotSizeUnits&#x60; for the units of measurement (Square Feet, Square Meters, Acres, etc.).  **Added on 2016/05/04 - Not available for all RETS vendors**  | [optional] 
**subdivision** | **String** | The subdivision or community name | [optional] 
**construction** | **String** | The materials that were used in the construction of the property. | [optional] 
**parking** | [**Parking**](Parking.md) |  | [optional] 
**lot_size_area_units** | **String** | Unit of measurement for the lotSizeArea field.  e.g. Square Feet, Square Meters, Acres, etc.  If this field is &#x60;null&#x60; the units is the default unit of measure specified by your RETS provider.  **Added on 2016/05/04 - Not available for all RETS vendors**  | [optional] 
**type** | **String** | Abbreviated property type. RES is Residential, CND is CondoOrTownhome, RNT is Rental, MLF is Multi-Family, CRE is Commercial, LND is Land, FRM is Farm. See the &#x60;propertySubType&#x60; field for more information.  | [optional] 
**garage_spaces** | **Float** | Number of garage spaces | [optional] 
**accessibility** | **String** |  | [optional] 
**occupant_type** | **String** |  | [optional] 
**year_built** | **Integer** | Year the property was built | [optional] 


